import { jsx } from "react/jsx-runtime";
import { TokenLEASH as TokenLEASH$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenLEASH = forwardRef(
  ({ variant = "mono", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, alt: "LEASH", "data-name": "TokenLEASH", ...props, children: /* @__PURE__ */ jsx(TokenLEASH$1, { variant }) });
  }
);
TokenLEASH.displayName = "TokenLEASH";
Object.assign(TokenLEASH, { isGdsIcon: true });
export {
  TokenLEASH
};
